import 'dart:ffi';

import 'package:get/get.dart';
import 'package:sqflite_pust_local_notification/db/db_helper.dart';
import 'package:sqflite_pust_local_notification/models/task_model.dart';

class TaskController extends GetxController {
  var taskList = <TaskModel>[].obs;
  @override
  void onReady() {
    super.onReady();
  }

  Future<int> addtask({TaskModel? task}) async {
    return await DBHelper.insert(task);
  }

  void getTask() async {
    List<Map<String, dynamic>> tasks = await DBHelper.query();
    taskList.assignAll(tasks.map((data) => TaskModel.fromJson(data)).toList());
  }

  void delete(TaskModel taskModel) {
    DBHelper.delete(taskModel);
    getTask();
  }

  void updateTaskIsComplete(int id) {
    DBHelper.update(id);
    getTask();
  }
}
